CVE-2019-5747

NameCVE-2019-5747
DescriptionAn issue was discovered in BusyBox through 1.30.0. An out of bounds read in udhcp components (consumed by the DHCP server, client, and/or relay) might allow a remote attacker to leak sensitive information from the stack by sending a crafted DHCP message. This is related to assurance of a 4-byte length when decoding DHCP_SUBNET. NOTE: this issue exists because of an incomplete fix for CVE-2018-20679.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
busybox (PTS)stretch1:1.22.0-19fixed
stretch (security)1:1.22.0-19+deb9u2fixed
buster1:1.30.1-4fixed
bullseye1:1.30.1-6fixed
bookworm, sid1:1.30.1-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
busyboxsourcejessie(not affected)
busyboxsourcestretch(not affected)
busyboxsourcebuster(not affected)
busyboxsource(unstable)1:1.30.1-2

Notes

[buster] - busybox <not-affected> (Incomplete fix for CVE-2018-20679 did not reach buster)
[stretch] - busybox <not-affected> (Incomplete fix for CVE-2018-20679 not applied)
[jessie] - busybox <not-affected> (Incomplete fix for CVE-2018-20679 not applied)
https://bugs.busybox.net/show_bug.cgi?id=11506
https://git.busybox.net/busybox/commit/?id=74d9f1ba37010face4bd1449df4d60dd84450b06

Search for package or bug name: Reporting problems